runner
3
HAL Library

# runner

## Synopsis

    #define     DBUS_API_SUBJECT_TO_CHANGE
                run_request;
    run_request* new_run_request                (void);
    void        del_run_request                 (run_request *r);
    gboolean    run_request_run                 (run_request *r,
                                                 DBusConnection *con,
                                                 DBusMessage *msg);
    void        run_kill_udi                    (gchar *udi);
    void        run_kill_all                    ();
    void        run_init                        ();

## Description

## Details

### DBUS_API_SUBJECT_TO_CHANGE

    #define     DBUS_API_SUBJECT_TO_CHANGE

### run_request

    typedef struct {
    	gchar *udi;
    	gchar **environment;
    	gchar **argv;
    	gchar *input;
    	gboolean error_on_stderr;
    	guint32 timeout;
    } run_request;

### new_run_request ()

    run_request* new_run_request                (void);

Returns :

### del_run_request ()

    void        del_run_request                 (run_request *r);

`r` :

### run_request_run ()

    gboolean    run_request_run                 (run_request *r,
                                                 DBusConnection *con,
                                                 DBusMessage *msg);

`r` :

`con` :

`msg` :

Returns :

### run_kill_udi ()

    void        run_kill_udi                    (gchar *udi);

`udi` :

### run_kill_all ()

    void        run_kill_all                    ();

### run_init ()

    void        run_init                        ();